Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.util
Class JavassistUtils

    java.lang.Object
      org.jboss.aop.util.JavassistUtils

public class JavassistUtils
extends Object

Version:
  $Revision: 1.3 $
Author:
  Kabir Khan

Field Summary
`static javassist.CtClass[]` | `EMPTY_CTCLASS_ARRAY`

Constructor Summary
`JavassistUtils()`

Method Summary
`static javassist.CtMethod[]` | `getDeclaredMethodsWithName(javassist.CtClass clazz, String name)`
`static javassist.CtMethod[]` | `getMethodsWithName(javassist.CtClass clazz, String name)`
`static String` | `getNullOrZeroInitialiser(javassist.CtClass clazz)`
`static boolean` | `isSubclassOrImplements(javassist.CtClass clazz, javassist.CtClass lookingFor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_CTCLASS_ARRAY

    public static javassist.CtClass[] EMPTY_CTCLASS_ARRAY

Constructor Detail

### JavassistUtils

    public JavassistUtils()

Method Detail

### getMethodsWithName

    public static javassist.CtMethod[] getMethodsWithName(javassist.CtClass clazz,
                                                          String name)

### getDeclaredMethodsWithName

    public static javassist.CtMethod[] getDeclaredMethodsWithName(javassist.CtClass clazz,
                                                                  String name)

### isSubclassOrImplements

    public static boolean isSubclassOrImplements(javassist.CtClass clazz,
                                                 javassist.CtClass lookingFor)
                                          throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### getNullOrZeroInitialiser

    public static String getNullOrZeroInitialiser(javassist.CtClass clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.